Name: mailfront-plugin-remotehost
Summary: This plugin provides an ability for rejecting messages based on regular expressions in the senders' remotehost names aka TCPREMOTEHOST environment variable if found or otherwise remoteip aka TCPREMOTEIP is being used instead for mailfront.
Version: 0.01
Release: 1
License: GPL
Group: Utilities/System
Source: http://choon.net/opensource/mailfront-plugin-remotehost-0.01.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gcc >= 3.4.6 , bglibs-devel >= 1.104, mailfront-devel >= 1.12
Requires: bglibs >= 1.104, mailfront >= 1.12
URL: http://choon.net/mailfront-plugin-remotehost.php
Packager: Giam Teck Choon <choonrpms@choon.net>

%description
Plugin: remotehost

This plugin provides an ability for rejecting/deferring messages based on regular expressions in the senders' remotehost names aka TCPREMOTEHOST environment variable if found or otherwise remoteip aka TCPREMOTEIP is being used instead.

If you use with tcpserver option -h and -p, then TCPREMOTEHOST will be set accordingly if valid DNS record is found.

This idea I got it from naokih at iron-horse dot org via google search using badremotehost as search keyword. You can read the qmail patch at http://n.h7a.org/hacks/qmail-badremotehost.patch.

IMPORTANT: This plugin is written for and tested with mailfront 1.12.

%prep
%setup
# conf-bgincs default is /usr/local/bglibs/include
# conf-bglibs default is /usr/local/bglibs/lib
# conf-ld default is gcc -s -L/usr/local/lib
echo "gcc -s -rdynamic" >conf-ld
# conf-mailfrontincs default is /usr/local/include/mailfront
echo /usr/include/mailfront > conf-mailfrontincs
# conf-modules default is /usr/local/lib/mailfront
echo /usr/lib/mailfront > conf-modules
#echo "gcc %{optflags}" >conf-cc
# conf-ccso default is gcc -W -Wall -Wshadow -O -g -I/usr/local/include -fPIC -shared
#echo "gcc %{optflags} -fPIC -shared" >conf-ccso
#echo %{_bindir} >conf-bin
#echo %{_libdir}/mailfront >conf-modules
#echo %{_includedir} >conf-include

%build
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/mailfront
install -m0755 plugin-remotehost.so %{buildroot}/%{_libdir}/mailfront/
#make install_prefix=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING plugin-remotehost.html
#%{_bindir}/*
%{_libdir}/mailfront/plugin-remotehost.so

%changelog

* Tue Sep 15 2009 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial Release
